# Interactive mode
if status is-interactive
	source $HOME/.config/fish/alias.fish
end

# Add scripts to PATH
fish_add_path $XDG_CONFIG_HOME/fish/scripts

# Add Go binaries to PATH
if command -q go
	fish_add_path (go env GOPATH)/bin
end

# Load systemd user environment
set GENERATOR /usr/lib/systemd/user-environment-generators/30-systemd-environment-d-generator

if test -e $GENERATOR
	export ($GENERATOR)
end